# hostname

Captures the hostname transmitted within the syslog message.

This property belongs to the Message Properties group.

Name:

  hostname

Category:

  Message Properties

Type:

  string

Aliases:

  source

## Description

Hostname from the message.

## Usage

    template(name="example" type="list") {
        property(name="hostname")
    }

### Aliases

- source — alias for hostname

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.